package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaIssueApply;
import org.apache.ibatis.annotations.Select;

/**
 * 问题处理申请;(ta_issue_apply)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-27
 */
@Mapper
public interface TaIssueApplyMapper  extends BaseMapper<TaIssueApply>{

     IPage<TaIssueApply> getPageBy(IPage<TaIssueApply> pg,
                                   @Param("issueId") Integer issueId,
                                   @Param("applyType") String applyType,
                                   @Param("orgId") String orgId,
                                   @Param("sourceType") String sourceType,
                                   @Param("isAll") Boolean isAll,
                                   @Param("duty") String duty,@Param("createUserId") String createUserId);

     int removeByIssueId(@Param("issueId") String issueId);

     long counts(@Param("ew")QueryWrapper<TaIssueApply> queryWrapper, @Param("createUserId") String createUserId,@Param("duty") String duty);
 }